Subject: Re: bug#6039: Building Emacs BZR with GCC 4.5.0

From: Vladimir Lomov <[email-masked]>
Date: Tue, 27 Apr 2010 13:38:38 +0900

** Chong Yidong [2010-04-26 11:03:19 -0400]:

> Vladimir Lomov <[email-masked]> writes:

>> Hi.

>> (Some response to #6031, http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6031)

>> I'm trying to compile Emacs from BZR using gcc 4.5.0
>> $ bzr revno
>> 100035

>> Compilation went ok but when I try to run Emacs it segfault'ed.

> Could you see if the problem also exists on the emacs-23 branch?
> Thanks.

Seems that if I pass option '-fno-optimize-sibling-calls' to configure
(CFLAGS="-O2 -fno-optimize-sibling-calls")
then compiled emacs works
(I run it under gdb with options '-Q -D' and without any options
without segfault) but I don't know how this option affects the emacs.

-- 
Interchangeable parts won't.